%%%
%%% File per il progetto degli osservatori d'uscita 
%%%

% Osservatore per la prima uscita

v = [-0.51 -0.52];

[Ao1,Bo1,Co1,Do1] = obsv_design(Am,Bm,Cm(1,:),Dm(1,:),v);

% Osservatore per la seconda uscita

[Ao2,Bo2,Co2,Do2] = obsv_design(Am,Bm,Cm(2,:),Dm(2,:),v);

return




function [Ao,Bo,Co,Do] = obsv_design(A,B,C,D,v)

Ko = place(A',C',v)';

[n_n,n_r] = size(B);

Ao = A - Ko * C;
Bo = [B Ko];
Co = C;
Do = zeros(1,n_r+1);

end